apiVersion: certificates.k8s.io/v1
kind: CertificateSigningRequest
metadata:
  name: alice
spec:
  # avec sed -i "s/request:.*$/request: $(cat alice.csr | base64 | tr -d '\n')/" csr_alice.yaml
  request: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURSBSRVFVRVNULS0tLS0KTUlHa01GZ0NBUUF3SlRFUE1BMEdBMVVFQXd3R1lXeHBZMlVzTVJJd0VBWURWUVFLREFsa2FXRmliRzkwYVc0dwpLakFGQmdNclpYQURJUUIzNjhlb2JNRHdlYm1oOCtoWmUvMmtiK09MZkV4Q1pIZTVMeGRXYjdpMldhQUFNQVVHCkF5dGxjQU5CQU1Vc0F1WDlVNHp2RDRncWUyNldpaFBkZDRQR3U5UWtXWDhoRk42ODk4aGRGVUFlbzhXS0ZaaHIKS0tQNWpYYUs5MTkyUEw3SCthdjBrSEUraW9UcStnaz0KLS0tLS1FTkQgQ0VSVElGSUNBVEUgUkVRVUVTVC0tLS0tCg==
  signerName: kubernetes.io/kube-apiserver-client
  expirationSeconds: 86400  # secondes, soit 1 jour
  usages:
    - client auth
